<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />

    <title>DD32 AR Business Card</title>
    <link rel="icon" href="/favicon-dd.png" />

    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <script src="https://aframe.io/releases/1.2.0/aframe.min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/hiukim/mind-ar-js@1.1.5/dist/mindar-image.prod.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/hiukim/mind-ar-js@1.1.5/dist/mindar-image-aframe.prod.js"></script> 
    <script src="index.js" type="module"></script>

    <style>
      #scanning-overlay {
        display: flex;
        align-items: center;
        justify-content: center;
        position: absolute;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        background: transparent;
        z-index: 2;
      }
      @media (min-aspect-ratio: 9/5) {
        #scanning-overlay .inner {
          width: 50vh;
          /*height: 50vh;*/
        }
      }
      @media (max-aspect-ratio: 9/5) {
        #scanning-overlay .inner {
          width: 80vw;
          /*height: 80vw;*/
        }
      }

      #scanning-overlay .inner {
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;

	    background:
	      linear-gradient(to right, white 10px, transparent 10px) 0 0,
	      linear-gradient(to right, white 10px, transparent 10px) 0 100%,
	      linear-gradient(to left, white 10px, transparent 10px) 100% 0,
	      linear-gradient(to left, white 10px, transparent 10px) 100% 100%,
	      linear-gradient(to bottom, white 10px, transparent 10px) 0 0,
	      linear-gradient(to bottom, white 10px, transparent 10px) 100% 0,
	      linear-gradient(to top, white 10px, transparent 10px) 0 100%,
	      linear-gradient(to top, white 10px, transparent 10px) 100% 100%;
        background-repeat: no-repeat;
        background-size: 40px 40px;
      }

      #scanning-overlay.hidden {
	      display: none;
      }

      #scanning-overlay img {
        opacity: 0.1;
        width: 80%;
        align-self: center;
      }

      #scanning-overlay .inner .scanline {
        position: absolute;
        width: 100%;
        height: 10px;
        background: white;
        animation: move 2s linear infinite;
      }
      @keyframes move {
	      0%, 100% { top: 0% }
	      50% { top: calc(100% - 10px) }
      }
    </style>
  </head>
  <body>
    <div id="scanning-overlay" class="hidden">
      <div class="inner">
        <img src="buisnesscard_back.png"/>
        <div class="scanline"></div>
      </div>
    </div>

    <a-scene 
      mindar-image="uiScanning: #scanning-overlay; imageTargetSrc: ./targets_v4.mind;" 
      color-space="sRGB" 
      renderer="colorManagement: true, physicallyCorrectLights" 
      vr-mode-ui="enabled: false" 
      device-orientation-permission-ui="enabled: false"
      >
      <a-assets>
        <video id="animation" autoplay preload="auto" loop="false" src="/animation.webm">
      </a-assets>

      <a-camera 
        position="0 0 0" 
        look-controls="enabled: false" 
        cursor="fuse: false; rayOrigin: mouse;"
        raycaster="far: 10000; objects: .interactable"/>

      <a-entity id="target" mindar-image-target="targetIndex: 0" play-on-target-found>
        <a-video src="#animation" width="1" height="1.8" position="1 0 0" ></a-video>
        <a-plane id="plane" class="interactable" width="1" height="1.8" position="1 0 0" rotation="0 0 0" material="src: #animation; transparent: true;" alpha-video redirect-on-click/>
      </a-entity>
    </a-scene>
  </body>
</html>
